Page MenuHomePhabricator

API sandbox examples frame should not have a fixed width
Closed, ResolvedPublic

Description

In API sandbox special page Special:ApiSandbox, the 'Examples' frame have a fixed width, but sometimes the description of the example are longer and therefore are truncated.

Details

Event Timeline

Beta16 created this task.Apr 26 2016, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 4:32 PM
Beta16 triaged this task as Low priority.Apr 26 2016, 4:32 PM
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Apr 26 2016, 7:18 PM
Anomie added a subscriber: Anomie.May 2 2017, 4:09 PM

The truncation seems to have been fixed by rMW1bf40fae58b3: mw.special.apisandbox: Pass $overlay to PopupButtonWidgets to fix overlaps, which moved the popup into an overlay where it's no longer being affected by the ButtonGroupWidget's white-space: nowrap. But now that PopupWidget has a 'width' parameter, we can specify it as 'auto' and really fix this.

Change 351331 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] mw.special.apisandbox: Specify auto width on PopupButtonWidgets' popups

https://gerrit.wikimedia.org/r/351331

Anomie claimed this task.May 2 2017, 4:15 PM
Anomie moved this task from Non-Code to Needs Review on the MediaWiki-API board.
matmarex closed this task as Resolved.May 3 2017, 4:40 PM
matmarex removed a project: Patch-For-Review.

Change 351331 merged by jenkins-bot:
[mediawiki/core@master] mw.special.apisandbox: Specify auto width on PopupButtonWidgets' popups

https://gerrit.wikimedia.org/r/351331